=== debian/changelog ===
ros-rolling-rcpputils (2.8.0-1jammy) jammy; urgency=high

  * Add unique_lock implementation with clang thread safety annotations (#180 <https://github.com/ros2/rcpputils/issues/180>)
  * Contributors: Emerson Knapp

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 07 Sep 2023 00:00:00 -0000

ros-rolling-rcpputils (2.7.1-1jammy) jammy; urgency=high

  * Add in a missing cstdint. (#178 <https://github.com/ros2/rcpputils/issues/178>)
  * Contributors: Chris Lalancette

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 11 May 2023 00:00:00 -0000

ros-rolling-rcpputils (2.7.0-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-rcpputils (2.6.1-1jammy) jammy; urgency=high

  * Add missing header for strlen (#169 <https://github.com/ros2/rcpputils/issues/169>)
  * issue-167 (#172 <https://github.com/ros2/rcpputils/issues/172>)
  * [rolling] Update maintainers - 2022-11-07 (#166 <https://github.com/ros2/rcpputils/issues/166>)
  * Contributors: Audrow Nash, Sebastian Freitag, bijoua29

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 13 Feb 2023 00:00:00 -0000

ros-rolling-rcpputils (2.6.0-1jammy) jammy; urgency=high

  * require C++17 and deprecate the rcppmath namespace (#165 <https://github.com/ros2/rcpputils/issues/165>)
  * Contributors: William Woodall

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rcpputils (2.5.2-1jammy) jammy; urgency=high

  * Mirror rolling to master
  * Contributors: Audrow Nash

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rcpputils (2.5.1-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Wed, 04 May 2022 00:00:00 -0000

ros-rolling-rcpputils (2.5.0-1jammy) jammy; urgency=high

  * Fix possible race condition in create_directories() (#162 <https://github.com/ros2/rcpputils/issues/162>)
  * Contributors: Artem Shumov

 -- Brandon Ong <brandon@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-rcpputils (2.4.0-1jammy) jammy; urgency=high

  * Install includes to include/${PROJECT_NAME} (#160 <https://github.com/ros2/rcpputils/issues/160>)
  * Contributors: Shane Loretz

 -- Brandon Ong <brandon@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-rcpputils (2.3.2-1jammy) jammy; urgency=high

  * Fix include order for cpplint (#158 <https://github.com/ros2/rcpputils/issues/158>)
  * [path] Declare the default assignment operator (#156 <https://github.com/ros2/rcpputils/issues/156>)
  * Contributors: Abrar Rahman Protyasha, Jacob Perron

 -- Brandon Ong <brandon@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-rcpputils (2.3.1-1jammy) jammy; urgency=high

  * Fixes for uncrustify 0.72 (#154 <https://github.com/ros2/rcpputils/issues/154>)
  * Fix the BSD license headers to use the standard one. (#153 <https://github.com/ros2/rcpputils/issues/153>)
  * Update maintainers to Chris Lalancette (#152 <https://github.com/ros2/rcpputils/issues/152>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Brandon Ong <brandon@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-rcpputils (2.3.0-1jammy) jammy; urgency=high

  * Add checked convert_to_nanoseconds() function (#145 <https://github.com/ros2/rcpputils/issues/145>)
  * Add missing sections in docs/FEATURES.md TOC (#151 <https://github.com/ros2/rcpputils/issues/151>)
  * [env] Add set_env_var function (#150 <https://github.com/ros2/rcpputils/issues/150>)
  * Add missing cstddef include (#147 <https://github.com/ros2/rcpputils/issues/147>)
  * Add accumulator test to CMakeLists.txt (#144 <https://github.com/ros2/rcpputils/issues/144>)
  * rcpputils::fs: Fix doxygen parameter identifier (#142 <https://github.com/ros2/rcpputils/issues/142>)
  * Make thread safety macro C++ standards compliant (#141 <https://github.com/ros2/rcpputils/issues/141>)
  * Fix API documentation for clean rosdoc2 build (#139 <https://github.com/ros2/rcpputils/issues/139>)
  * Improve rcppmath Doxygen documentation (#138 <https://github.com/ros2/rcpputils/issues/138>)
  * Improve documentation of utilities in docs/FEATURES.md (#137 <https://github.com/ros2/rcpputils/issues/137>)
  * Include rcppmath utilities in docs/FEATURES.md (#136 <https://github.com/ros2/rcpputils/issues/136>)
  * Fix IllegalStateException reference in FEATURES (#135 <https://github.com/ros2/rcpputils/issues/135>)
  * migrate rolling mean from ros2_controllers to rcppmath (#133 <https://github.com/ros2/rcpputils/issues/133>)
  * Update includes after rcutils/get_env.h deprecation (#132 <https://github.com/ros2/rcpputils/issues/132>)
  * Contributors: Abrar Rahman Protyasha, Barry Xu, Christophe Bedard, Karsten Knese, Octogonapus

 -- Brandon Ong <brandon@openrobotics.org>  Thu, 18 Nov 2021 00:00:00 -0000

ros-rolling-rcpputils (2.2.0-1jammy) jammy; urgency=high

  * Update quality declaration links (#130 <https://github.com/ros2/rcpputils/issues/130>)
  * Add functions for getting library path and filename (#128 <https://github.com/ros2/rcpputils/issues/128>)
  * Contributors: Nikolai Morin, Simon Honigmann

 -- Brandon Ong <brandon@openrobotics.org>  Fri, 02 Apr 2021 00:00:00 -0000

ros-rolling-rcpputils (2.1.0-1jammy) jammy; urgency=high

  * Add path equality operators (#127 <https://github.com/ros2/rcpputils/issues/127>)
  * Add create_temp_directory filesystem helper (#126 <https://github.com/ros2/rcpputils/issues/126>)
  * Use new noexcept specifier. (#123 <https://github.com/ros2/rcpputils/issues/123>)
  * Contributors: Chen Lihui, Emerson Knapp

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 01 Mar 2021 00:00:00 -0000

ros-rolling-rcpputils (2.0.4-1jammy) jammy; urgency=high

  * Add stream operator for paths to make it easier to log (#120 <https://github.com/ros2/rcpputils/issues/120>)
  * Path join operator is const (#119 <https://github.com/ros2/rcpputils/issues/119>)

