=== debian/control ===
Source: ros-rolling-rcpputils
Section: misc
Priority: optional
Maintainer: Brandon Ong <brandon@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest <!nocheck>, ros-rolling-ament-cmake-ros, ros-rolling-ament-lint-auto <!nocheck>, ros-rolling-ament-lint-common <!nocheck>, ros-rolling-rcutils, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-rcpputils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-rcutils, ros-rolling-ros-workspace
Description: Package containing utility code for C++.
